> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/cli/pdf-a-manager/cmd-options.md).

# Command-Line Summary for PDF/A Manager

Discover the top tips for writing an effective SEO meta description. Learn how to craft compelling descriptions that drive clicks and improve your website's visibility in search results. The Apryse CL

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
Usage: pdfa [<options>] file...

OPTIONS:

  --file... arg            A list of folders and/or file names to process.
  -p [ --pass ] arg        The password to process the input file. The password
                           is required only in the conversion mode and when the
                           input document is encrypted.
  -x [ --noxml ]           Disable XML report generation.
  -o [ --outdir ] arg      The output directory. The folder can be relative to
                           the current working folder. If the folder does not
                           exist PDFA will attempt to create the required path.
                           If this parameter is not specified all files will be
                           saved relative to the current working folder.
  -f [ --fname ] arg       The explicit name for the converted file. The
                           parameter is used only when converting one file at a
                           time. The output file will be stored in the 'outdir'
                           folder.
  --suffix arg (=_pdfa)    A string to append to all output filenames. This
                           option is typically used to tag output filenames
                           during multi-file or batch conversion. For example,
                           if input file is "my.pdf" and suffix is "_pdfa" the
                           output filename will be "my_pdfa.pdf".

  -l [ --level ] arg (=1B) PDF/A Conformance Level: [1A, 1B, 2A, 2B, 2U, 3A,
                           3B, 3U]

                           1A Target PDF/A-1a conformance profile.
                           1B Target PDF/A-1b conformance profile.
                           2A Target PDF/A-2a conformance profile.
                           2B Target PDF/A-2b conformance profile.
                           2U Target PDF/A-2u conformance profile.
                           3A Target PDF/A-3a conformance profile.
                           3B Target PDF/A-3b conformance profile.
                           3U Target PDF/A-3u conformance profile.

  -c [ --convert ]         Convert input PDF files to PDF/A compliant format.
  -z [ --linearize ]       Linearize the converted files.
  --nr                     Do not revalidate after conversion.
  --config arg             Load xml file to configure font substitution for
                           missing fonts. By default, tries to load the file
                           "config.xml" in the current working directory.

  --subfolders             Process all subfolders.
  --extension arg (=.pdf)  The default file extension used to process PDF
                           documents. The default extension is ".pdf".
  --verb arg (=1)          Set the verbosity level to 'arg' (0-2).
  -v [ --version ]         Print the version information.
  -h [ --help ]            Print a listing of available options.


Examples:
  pdfa *.pdf
  pdfa --level 1B in1.pdf in2.pdf mydir
  pdfa -o outdir -c in.pdf
  pdfa -o outdir -c -z -l 1B --subfolders --verb 10 mydir
  pdfa -o outdir -c --noxml mydir my1.pdf folder/my2.pdf
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/cli/pdf-a-manager/cmd-options.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
